# Update Prebid with Nexx360 Adapter

## Update Prebid.js with Nexx360 Adapter

Once your tagIds are created, you need to update Prebid.js and add Nexx360 adapter.

You can download "Nexx360" adapter on this page: <https://docs.prebid.org/download.html>.

![](/files/PY2IvpvvuOOqQKdRF2Kj)

## Configure Nexx360 IDs

You then have to configure the tagIds or placements created before, like with any other bidder integration.

Here is an example of an ad unit with Nexx360 adapter configured:

```
{
                    code: '/19968336/header-bid-tag-0',
                    mediaTypes: {
                        banner: {
                            sizes: [[300,250], [300,600]]
                        }
                    },
                    bids: [{
                        bidder: 'nexx360',
                        params: {
                            tagId: 'testnexx',
                            placement: 'TEST_PLACEMENT_GABRIEL'
                        }
                    }]
                }
```

{% hint style="warning" %}
You need to replace one of the parameters in the script above, depending on the configuration method you’ve chosen:

* `tagId`: with the tagId created in Nexx360 platform.
* `placement`: with the placement created in Nexx360 platform.

**Only one parameter is required** — either `tagId` **or** `placement`, not both.
{% endhint %}

{% hint style="info" %}
You can find more information on Nexx360 adapter on this page: <https://docs.prebid.org/dev-docs/bidders/nexx360.html>.
{% endhint %}

## Get All Bids

By adding `allBids: true` in params, Nexx360 will return all responses from SSPs.

## Disable Specific SSPs

You can dynamically disable specific SSPs for an ad unit by adding `disabledSsps` in params. This allows you to exclude SSPs from the auction without changing your stored request configuration.

```javascript
{
    bidder: 'nexx360',
    params: {
        tagId: 'testnexx',
        disabledSsps: ['appnexus', 'criteo']
    }
}
```

SSPs listed in `disabledSsps` will be completely skipped during the auction — no bid request will be sent to them, and they will appear with a `DISABLED` status in debug output.

## Targeting to include SSP

You can add the following snippet to add a specific key value to get details about demandSource into the adserver targeting:

```javascript
pbjs.bidderSettings = {
    nexx360: {
        adserverTargeting: [{
            key: "nexx360_ssp",
            val: function(e) {
                return e.meta.demandSource
            }
        }]
    }
}
```

## Configure User Syncing

In case you applied specific settings to user sync configuration and limited the bidders allowed to sync, don't forget to add Nexx360 in the configuration.

For more details, you can refer to this page : <https://docs.prebid.org/dev-docs/publisher-api-reference/setConfig.html#setConfig-Configure-User-Syncing>.

We recommand the following setup

```javascript
pbjs.setConfig({
    userSync: {
        filterSettings: {
            all: {
                bidders: '*',   // '*' means all bidders
                filter: 'include'
            }
        }
    }
});
```

{% hint style="danger" %}
To ensure proper cookie-sync, you need to add Nexx360 (Vendor ID : 965) in your CMP if not present yet.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.nexx360.io/integration-methods/prebid-adapter/update-prebid-with-nexx360-adapter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
